package ru.yandex.webmaster3.storage.util.yt;

/**
 * @author aherman
 */
public interface TableWriter {
    TableWriter column(String name, Short value);
    TableWriter column(String name, Integer value);
    TableWriter column(String name, Long value);
    TableWriter column(String name, Boolean value);
    TableWriter column(String name, String value);
    TableWriter column(String name, byte[] bytes);
    TableWriter columnObject(String name, Object object);
    TableWriter rowEnd() throws YtException;
}
